#include "guess.h"
#include<bits/stdc++.h>

using namespace std;

typedef long long ll;

int find_number(int MAX)
{
    ll l = 0, r = MAX;
    while(l < r)
    {
        ll mid = (l + r) / 2;
        if(smaller(mid+1))
        {
            r = mid-1;
        }
        else
        {
            l = mid+1;
        }
    }
}

